Debian Bug report logs - #596247
future unblock: libtime-progress-perl/1.6-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Thu, 9 Sep 2010 16:57:08 UTC

Severity: wishlist

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, salvatore.bonaccorso@gmail.com, debian-perl@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596247; Package release.debian.org. (Thu, 09 Sep 2010 16:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
New Bug report received and forwarded. Copy sent to salvatore.bonaccorso@gmail.com, debian-perl@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Thu, 09 Sep 2010 16:57:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: future unblock: libtime-progress-perl/1.6-1
Date: Thu, 09 Sep 2010 18:55:21 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: wishlist
User: release.debian.org@packages.debian.org
Usertags: unblock

Dear Release Team

I have set the Severity to wishlist, as this upload will not fix a but
>= important, but it has somehow to do with documentation fix. 1.5 had
a discrepancy between implemented function name and what the manpage
stated. See

 https://rt.cpan.org/Public/Bug/Display.html?id=58127

This was fixed in 1.6 of Time::Progress. I prepared a new upstream
version to upload to unstable, and would like to ask if it would be
possible to have this unblocked. Here is the diffstat between 1.5-1
and the prepared 1.6-1:

 Changes                                            |    4 ++
 META.yml                                           |    6 ++-
 Progress.pm                                        |   22 +++++++-----
 debian/changelog                                   |   18 +++++++++
 debian/control                                     |    4 +-
 debian/copyright                                   |   38 ++++++++++-----------
 debian/patches/fix-spelling-error-in-manpage.patch |   18 +++++++++
 debian/patches/series                              |    1 
 debian/rules                                       |   21 -----------
 debian/source/format                               |    1 
 test.pl                                            |   17 ---------
 11 files changed, 81 insertions(+), 69 deletions(-)

Attached is the debdiff.

Please unblock package libtime-progress-perl if possible.

unblock libtime-progress-perl/1.6-1

Thanks in advance,
Bests
Salvatore

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[debdiff_libtime-progress-perl_1.5-1_1.6-1.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596247; Package release.debian.org. (Fri, 10 Sep 2010 12:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 10 Sep 2010 12:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 596247@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: 596247@bugs.debian.org
Subject: Re: Bug#596247: future unblock: libtime-progress-perl/1.7-1
Date: Fri, 10 Sep 2010 14:10:48 +0200
[Message part 1 (text/plain, inline)]
Hi Release Team

So upstream fixed already the small typo, and released the new
version. So the debdiff is slightly shorter, it is attached.

 Changes              |    8 ++++++++
 META.yml             |    6 ++++--
 Progress.pm          |   24 ++++++++++++++----------
 debian/changelog     |   16 ++++++++++++++++
 debian/control       |    4 ++--
 debian/copyright     |   38 +++++++++++++++++++-------------------
 debian/rules         |   21 +--------------------
 debian/source/format |    1 +
 test.pl              |   17 -----------------
 9 files changed, 65 insertions(+), 70 deletions(-)

So it would be now,

unblock libtime-progress-perl/1.7-1

Bests
Salvatore
[debdiff_libtime-progress-perl_1.5-1_1.7-1.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596247; Package release.debian.org. (Thu, 23 Sep 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 23 Sep 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 596247@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>, 596247@bugs.debian.org
Subject: Re: Bug#596247: future unblock: libtime-progress-perl/1.7-1
Date: Thu, 23 Sep 2010 20:03:08 +0100
On Fri, 2010-09-10 at 14:10 +0200, Salvatore Bonaccorso wrote:
> So upstream fixed already the small typo, and released the new
> version. So the debdiff is slightly shorter, it is attached.

The subject suggested this was "could I upload this"; I see it's been
uploaded already.

+  * Convert to '3.0 (quilt)' source package format.

That's not really an appropriate change to be making during a freeze...

+  * debian/rules: Simplify to a three line rules file.

... although imho it's better than that.

+helpers -- return elapsed/estimate seconds.

s/estimate/&d/

+all helpers need one argument--current item.

s/--/ -- / ?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596247; Package release.debian.org. (Fri, 24 Sep 2010 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 24 Sep 2010 06:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 596247@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 596247@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#596247: future unblock: libtime-progress-perl/1.7-1
Date: Fri, 24 Sep 2010 08:11:08 +0200
[Message part 1 (text/plain, inline)]
Hi Adam

Thanks for your reply and time!

On Thu, Sep 23, 2010 at 08:03:08PM +0100, Adam D. Barratt wrote:
> On Fri, 2010-09-10 at 14:10 +0200, Salvatore Bonaccorso wrote:
> > So upstream fixed already the small typo, and released the new
> > version. So the debdiff is slightly shorter, it is attached.
> 
> The subject suggested this was "could I upload this"; I see it's been
> uploaded already.

I'm sorry if this caused more troube as it was more intended to be a
'wishlist'. 

> +  * Convert to '3.0 (quilt)' source package format.
> 
> That's not really an appropriate change to be making during a freeze...
> 
> +  * debian/rules: Simplify to a three line rules file.
> 
> ... although imho it's better than that.

I agree that these are 'major' packaging changes. I hope I can convice
that they are not harmfull ;-). I introduced the change in the source
package format in the 1.5 -> 1.6 step, as libtime-progress-perl had no
patch before, then added the fix-spelling error. This way, reducing
the debian/rules and converting the source package format, we did not
need to add quilt to Build-Depends, nor bump Build-Depends on
debhelper (>= 7.0.8). The packaging of Perl modules are 'smooth' in
general, so even the packaging introduced this major changes, it does
not 'break'. 

> +helpers -- return elapsed/estimate seconds.
> 
> s/estimate/&d/

I assume the point here from upstream author was more, to 'align' the
documentation to the really implemented method name. See in the
debdiff:

---(snip)---------------------------------------------------------------
 =item elapsed
 
-=item estimated
+=item estimate
+
+helpers -- return elapsed/estimate seconds.
------------------------------------------------------------------------

and indeed in the code, they are implemented with that name:

---(snip)---------------------------------------------------------------
 sub elapsed
-{ my $self = shift; return $self->report("%l"); }
+{ my $self = shift; return $self->report("%l",@_); }
 
 sub elapsed_str
-{ my $self = shift; return $self->report("elapsed time is %L min.\n"); }
+{ my $self = shift; return $self->report("elapsed time is %L min.\n",@_); }
 
 sub estimate
-{ my $self = shift; return $self->report("%e"); }
+{ my $self = shift; return $self->report("%e",@_); }
 
 sub estimate_str
-{ my $self = shift; return $self->report("remaining time is %E min.\n"); }
+{ my $self = shift; return $self->report("remaining time is %E min.\n",@_); }
------------------------------------------------------------------------

My assumption here is that upstream did not change the implemented
subroutine name, to not break existing code using it, but adjust the
documented name to be in line with that.

See [1] for details about this.

 [1] https://rt.cpan.org/Ticket/Display.html?id=58127

I'm not a native english speaker, but from this view estimated would
be the right term. I feel like for squeeze at least it should be that
adding the documentation change, so that it is consistent to the names
implemented.

One further point is that on the other side, the methods as they where
implemented, always returned 0, so the above diff, fixed that, and the
4 methods should work now as they where intended, see the above RT
ticket on  CPAN.

> +all helpers need one argument--current item.
> 
> s/--/ -- / ?

Ok, I will forward this too to upstream.

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596247; Package release.debian.org. (Sun, 26 Sep 2010 15:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 15:09:14 GMT) Full text and rfc822 format available.

Message #25 received at 596247@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>, 596247@bugs.debian.org
Subject: Re: Bug#596247: future unblock: libtime-progress-perl/1.7-1
Date: Sun, 26 Sep 2010 16:08:23 +0100
On Fri, 2010-09-24 at 08:11 +0200, Salvatore Bonaccorso wrote:
> On Thu, Sep 23, 2010 at 08:03:08PM +0100, Adam D. Barratt wrote:
> > +  * Convert to '3.0 (quilt)' source package format.
[...]
> > +  * debian/rules: Simplify to a three line rules file.
[...]
> I agree that these are 'major' packaging changes. I hope I can convice
> that they are not harmfull ;-). I introduced the change in the source
> package format in the 1.5 -> 1.6 step, as libtime-progress-perl had no
> patch before, then added the fix-spelling error. This way, reducing
> the debian/rules and converting the source package format, we did not
> need to add quilt to Build-Depends, nor bump Build-Depends on
> debhelper (>= 7.0.8). The packaging of Perl modules are 'smooth' in
> general, so even the packaging introduced this major changes, it does
> not 'break'. 

They also make the diff noisier than it needs to be to fix just the
reported issues and add the potential for introducing issues which
aren't immediately obvious.

> > +helpers -- return elapsed/estimate seconds.
> > 
> > s/estimate/&d/
> 
> I assume the point here from upstream author was more, to 'align' the
> documentation to the really implemented method name.
[...]
> and indeed in the code, they are implemented with that name:

Yep.  That doesn't mean it makes sense as an sentence though. :-)

One other thing I forgot to mention last time - was the removal of
test.pl an upstream change?  I realise it wasn't much of a test suite,
but...

Regards,

Adam





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sun, 03 Oct 2010 11:09:16 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Bug acknowledged by developer. (Sun, 03 Oct 2010 11:09:17 GMT) Full text and rfc822 format available.

Message #30 received at 596247-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 596247-done@bugs.debian.org
Cc: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
Subject: Re: Bug#596247: future unblock: libtime-progress-perl/1.7-1
Date: Sun, 03 Oct 2010 12:04:21 +0100
On Sun, 2010-09-26 at 16:08 +0100, Adam D. Barratt wrote:
> On Fri, 2010-09-24 at 08:11 +0200, Salvatore Bonaccorso wrote:
> > I agree that these are 'major' packaging changes. I hope I can convice
> > that they are not harmfull ;-). I introduced the change in the source
> > package format in the 1.5 -> 1.6 step, as libtime-progress-perl had no
> > patch before, then added the fix-spelling error. This way, reducing
> > the debian/rules and converting the source package format, we did not
> > need to add quilt to Build-Depends, nor bump Build-Depends on
> > debhelper (>= 7.0.8). The packaging of Perl modules are 'smooth' in
> > general, so even the packaging introduced this major changes, it does
> > not 'break'. 
> 
> They also make the diff noisier than it needs to be to fix just the
> reported issues and add the potential for introducing issues which
> aren't immediately obvious.

Unblocked.

Regards,

Adam





Changed Bug submitter to 'Salvatore Bonaccorso <carnil@debian.org>' from 'Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 10 Oct 2010 10:51:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Nov 2010 07:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:37:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.